# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Module/Build.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Locale-SubCountry
Version:        1.61
Release:        alt1_1
Summary:        ISO 3166-2 two letter subcountry codes
Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Locale-SubCountry
Source0:        http://search.cpan.org/CPAN/authors/id/K/KI/KIMRYAN/Locale-SubCountry-%{version}.tar.gz
BuildArch:      noarch 
BuildRequires:  perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(locale.pm)
# Tests
BuildRequires:  perl(Test/More.pm)
# Optional test
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Requires:       perl(locale.pm) >= 1

# Filter under-sepcified dependencies

Source44: import.info
%filter_from_requires /^^perl\\(locale\\)$/d

%description
This module allows you to convert the full name for a countries administrative
region to the code commonly used for postal addressing. The reverse look-up
can also be done. Sub country codes are defined in "ISO 3166-2:2007, Codes for
the representation of names of countries and their subdivisions".

Sub countries are termed as states in the US and Australia, provinces in
Canada and counties in the UK and Ireland.

%prep
%setup -q -n Locale-SubCountry-%{version}
find examples -type f -exec chmod -c -x {} +
for i in Changes lib/Locale/SubCountry.pm; do
    iconv --from=ISO-8859-1 --to=UTF-8 $i > new
    mv new $i
done

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

%check
make test

%files
%doc Changes README examples/
%{perl_vendor_privlib}/*


%changelog
* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 1.61-alt1_1
- update to new release by fcimport

* Tue Jan 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.59-alt1_1
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.56-alt1_3
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 1.50-alt2_1
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.50-alt1_1
- fc import

